# Class CliException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.apache.zookeeper.cli.CliException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `CliParseException, CliWrapperException, CommandNotFoundException, MalformedCommandException, MalformedPathException`

public class CliException extends Exception

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static final int`
`DEFAULT_EXCEPTION_EXIT_CODE`
`protected int`
`exitCode`

## Constructor Summary

Constructors
Constructor
Description
`CliException(String message)`
`CliException(String message, int exitCode)`
`CliException(String message, Throwable cause)`
`CliException(String message, Throwable cause, int exitCode)`
`CliException(Throwable cause)`
`CliException(Throwable cause, int exitCode)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getExitCode()`

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### exitCode

protected int exitCode

### DEFAULT_EXCEPTION_EXIT_CODE

protected static final int DEFAULT_EXCEPTION_EXIT_CODE

See Also:
  - Constant Field Values

## Constructor Details

### CliException

public CliException(String message)

### CliException

public CliException(String message, int exitCode)

### CliException

public CliException(Throwable cause)

### CliException

public CliException(Throwable cause, int exitCode)

### CliException

public CliException(String message, Throwable cause)

### CliException

public CliException(String message, Throwable cause, int exitCode)

## Method Details

### getExitCode

public int getExitCode()